
From: Francois Romieu <romieu@fr.zoreil.com>

Mac identifier extracted from Realtek's driver v2.2.

Signed-off-by: Francois Romieu <romieu@fr.zoreil.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/r8169.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/net/r8169.c~r8169-mac-identifier-extracted-from-realteks-driver-v22 drivers/net/r8169.c
--- 25/drivers/net/r8169.c~r8169-mac-identifier-extracted-from-realteks-driver-v22	Thu Sep  9 16:08:52 2004
+++ 25-akpm/drivers/net/r8169.c	Thu Sep  9 16:08:52 2004
@@ -136,7 +136,8 @@ enum mac_version {
 	RTL_GIGA_MAC_VER_B = 0x00,
 	/* RTL_GIGA_MAC_VER_C = 0x03, */
 	RTL_GIGA_MAC_VER_D = 0x01,
-	RTL_GIGA_MAC_VER_E = 0x02
+	RTL_GIGA_MAC_VER_E = 0x02,
+	RTL_GIGA_MAC_VER_X = 0x04	/* Greater than RTL_GIGA_MAC_VER_E */
 };
 
 enum phy_version {
@@ -869,6 +870,7 @@ static void rtl8169_get_mac_version(stru
 		u32 mask;
 		int mac_version;
 	} mac_info[] = {
+		{ 0x1 << 28,	RTL_GIGA_MAC_VER_X },
 		{ 0x1 << 26,	RTL_GIGA_MAC_VER_E },
 		{ 0x1 << 23,	RTL_GIGA_MAC_VER_D }, 
 		{ 0x00000000,	RTL_GIGA_MAC_VER_B } /* Catch-all */
_
